USE COWS
GO
UPDATE 	o
	SET o.PPRT_ID = oprnt.PPRT_ID	
	FROM dbo.ORDR o WITH (ROWLOCK)
INNER JOIN	dbo.FSA_ORDR f WITH (NOLOCK) ON f.ORDR_ID = o.ORDR_ID
INNER JOIN	dbo.FSA_ORDR fprnt WITH (NOLOCK) ON f.PRNT_FTN = fprnt.FTN
INNER JOIN	dbo.ORDR oprnt WITH (NOLOCK) ON fprnt.ORDR_ID = oprnt.ORDR_ID
	WHERE	f.ORDR_TYPE_CD = 'CN'